PrefixedQName (Axis API)
Keywords: org.apache.axis.message.PrefixedQName,PrefixedQName class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class PrefixedQName

    java.lang.Object
      |
      +--org.apache.axis.message.PrefixedQName

All Implemented Interfaces:
  Name

public class PrefixedQName
extends java.lang.Object
implements Name

Constructor Summary
`PrefixedQName(java.lang.String uri, java.lang.String localName, java.lang.String pre)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getLocalName()` Gets the local name part of the XML name that this `Name` object represents.
`java.lang.String` | `getPrefix()` Returns the prefix associated with the namespace for the XML name that this `Name` object represents.
`java.lang.String` | `getQualifiedName()` Gets the namespace-qualified name of the XML name that this `Name` object represents.
`java.lang.String` | `getURI()` Returns the URI of the namespace for the XML name that this `Name` object represents.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrefixedQName

    public PrefixedQName(java.lang.String uri,
                         java.lang.String localName,
                         java.lang.String pre)

Method Detail

### getLocalName

    public java.lang.String getLocalName()

  Description copied from interface: `Name`
  Gets the local name part of the XML name that this `Name` object represents.

  Specified by:
    `getLocalName` in interface `Name`
  Returns:
    a string giving the local name

### getQualifiedName

    public java.lang.String getQualifiedName()

  Description copied from interface: `Name`
  Gets the namespace-qualified name of the XML name that this `Name` object represents.

  Specified by:
    `getQualifiedName` in interface `Name`
  Returns:
    the namespace-qualified name as a string

### getURI

    public java.lang.String getURI()

  Description copied from interface: `Name`
  Returns the URI of the namespace for the XML name that this `Name` object represents.

  Specified by:
    `getURI` in interface `Name`
  Returns:
    the URI as a string

### getPrefix

    public java.lang.String getPrefix()

  Description copied from interface: `Name`
  Returns the prefix associated with the namespace for the XML name that this `Name` object represents.

  Specified by:
    `getPrefix` in interface `Name`
  Returns:
    the prefix as a string

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.